## qt6-quick3dphysics 6.4.2

=== src/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(3rdparty)
add_subdirectory(quick3dphysics)
add_subdirectory(helpers)
