=== examples/quick3dphysics/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_example(cannon)
qt_internal_add_example(compoundshapes)
qt_internal_add_example(customshapes)
qt_internal_add_example(impeller)
qt_internal_add_example(material)
qt_internal_add_example(mass)
qt_internal_add_example(simple)
