=== tests/auto/CMakeLists.txt ===
add_subdirectory(cooked)
add_subdirectory(physicsscene)
