=== tests/manual/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(charactercontroller)
add_subdirectory(convexmesh)
add_subdirectory(friction)
add_subdirectory(scaling)
add_subdirectory(spawn)
