=== src/3rdparty/PhysX/CMakeLists.txt ===

#####################################################################
## BundledPhysX Generic Library:
#####################################################################

qt_internal_add_3rdparty_library(BundledPhysX
    STATIC
    INSTALL
    LIBRARIES
        ${CMAKE_DL_LIBS}
    DEFINES
        QT_BUILD_PHYSXSTATIC_LIB
)

qt_internal_extend_target(BundledPhysX
    SOURCES
        include/PxActor.h
        include/PxAggregate.h
        include/PxArticulation.h
        include/PxArticulationBase.h
        include/PxArticulationJoint.h
        include/PxArticulationJointReducedCoordinate.h
        include/PxArticulationLink.h
        include/PxArticulationReducedCoordinate.h
        include/PxBatchQuery.h
        include/PxBatchQueryDesc.h
        include/PxBroadPhase.h
        include/PxClient.h
        include/PxConstraint.h
        include/PxConstraintDesc.h
        include/PxContact.h
        include/PxContactModifyCallback.h
        include/PxDeletionListener.h
        include/PxFiltering.h
        include/PxForceMode.h
        include/PxFoundation.h
        include/PxImmediateMode.h
        include/PxLockedData.h
        include/PxMaterial.h
        include/PxPhysXConfig.h
        include/PxPhysics.h
        include/PxPhysicsAPI.h
        include/PxPhysicsSerialization.h
        include/PxPhysicsVersion.h
        include/PxPruningStructure.h
        include/PxQueryFiltering.h
        include/PxQueryReport.h
        include/PxRigidActor.h
        include/PxRigidBody.h
        include/PxRigidDynamic.h
        include/PxRigidStatic.h
        include/PxScene.h
        include/PxSceneDesc.h
        include/PxSceneLock.h
        include/PxShape.h
        include/PxSimulationEventCallback.h
        include/PxSimulationStatistics.h
        include/PxVisualizationParameter.h
        include/characterkinematic/PxBoxController.h
        include/characterkinematic/PxCapsuleController.h
        include/characterkinematic/PxController.h
        include/characterkinematic/PxControllerBehavior.h
        include/characterkinematic/PxControllerManager.h
        include/characterkinematic/PxControllerObstacles.h
        include/characterkinematic/PxExtended.h
        include/collision/PxCollisionDefs.h
        include/common/PxBase.h
        include/common/PxCollection.h
        include/common/PxCoreUtilityTypes.h
        include/common/PxMetaData.h
        include/common/PxMetaDataFlags.h
        include/common/PxPhysXCommonConfig.h
        include/common/PxPhysicsInsertionCallback.h
        include/common/PxProfileZone.h
        include/common/PxRenderBuffer.h
        include/common/PxSerialFramework.h
        include/common/PxSerializer.h
        include/common/PxStringTable.h
        include/common/PxTolerancesScale.h
        include/common/PxTypeInfo.h
        include/cooking/PxBVH33MidphaseDesc.h
        include/cooking/PxBVH34MidphaseDesc.h
        include/cooking/PxBVHStructureDesc.h
        include/cooking/PxConvexMeshDesc.h
        include/cooking/PxCooking.h
        include/cooking/PxMidphaseDesc.h
        include/cooking/PxTriangleMeshDesc.h
        include/cooking/Pxc.h
        include/cudamanager/PxCudaContextManager.h
        include/cudamanager/PxCudaMemoryManager.h
        include/extensions/PxBinaryConverter.h
        include/extensions/PxBroadPhaseExt.h
        include/extensions/PxCollectionExt.h
        include/extensions/PxConstraintExt.h
        include/extensions/PxContactJoint.h
        include/extensions/PxConvexMeshExt.h
        include/extensions/PxD6Joint.h
        include/extensions/PxD6JointCreate.h
        include/extensions/PxDefaultAllocator.h
        include/extensions/PxDefaultCpuDispatcher.h
        include/extensions/PxDefaultErrorCallback.h
        include/extensions/PxDefaultSimulationFilterShader.h
        include/extensions/PxDefaultStreams.h
        include/extensions/PxDistanceJoint.h
        include/extensions/PxExtensionsAPI.h
        include/extensions/PxFixedJoint.h
        include/extensions/PxJoint.h
        include/extensions/PxJointLimit.h
        include/extensions/PxMassProperties.h
        include/extensions/PxPrismaticJoint.h
        include/extensions/PxRaycastCCD.h
        include/extensions/PxRepXSerializer.h
        include/extensions/PxRepXSimpleType.h
        include/extensions/PxRevoluteJoint.h
        include/extensions/PxRigidActorExt.h
        include/extensions/PxRigidBodyExt.h
        include/extensions/PxSceneQueryExt.h
        include/extensions/PxSerialization.h
        include/extensions/PxShapeExt.h
        include/extensions/PxSimpleFactory.h
        include/extensions/PxSmoothNormals.h
        include/extensions/PxSphericalJoint.h
        include/extensions/PxStringTableExt.h
        include/extensions/PxTriangleMeshExt.h
        include/filebuf/PxFileBuf.h
        include/foundation/PxAssert.h
        include/foundation/PxFoundationConfig.h
        include/foundation/PxMathUtils.h
        include/geometry/PxBVHStructure.h
        include/geometry/PxBoxGeometry.h
        include/geometry/PxCapsuleGeometry.h
        include/geometry/PxConvexMesh.h
        include/geometry/PxConvexMeshGeometry.h
        include/geometry/PxGeometry.h
        include/geometry/PxGeometryHelpers.h
        include/geometry/PxGeometryQuery.h
        include/geometry/PxHeightField.h
        include/geometry/PxHeightFieldDesc.h
        include/geometry/PxHeightFieldFlag.h
        include/geometry/PxHeightFieldGeometry.h
        include/geometry/PxHeightFieldSample.h
        include/geometry/PxMeshQuery.h
        include/geometry/PxMeshScale.h
        include/geometry/PxPlaneGeometry.h
        include/geometry/PxSimpleTriangleMesh.h
        include/geometry/PxSphereGeometry.h
        include/geometry/PxTriangle.h
        include/geometry/PxTriangleMesh.h
        include/geometry/PxTriangleMeshGeometry.h
        include/geomutils/GuContactBuffer.h
        include/geomutils/GuContactPoint.h
        include/gpu/PxGpu.h
        include/pvd/PxPvd.h
        include/pvd/PxPvdSceneClient.h
        include/pvd/PxPvdTransport.h
        include/solver/PxSolverDefs.h
        include/task/PxCpuDispatcher.h
        include/task/PxTask.h
        include/task/PxTaskDefine.h
        include/task/PxTaskManager.h
        include/vehicle/PxVehicleComponents.h
        include/vehicle/PxVehicleDrive.h
        include/vehicle/PxVehicleDrive4W.h
        include/vehicle/PxVehicleDriveNW.h
        include/vehicle/PxVehicleDriveTank.h
        include/vehicle/PxVehicleNoDrive.h
        include/vehicle/PxVehicleSDK.h
        include/vehicle/PxVehicleShaders.h
        include/vehicle/PxVehicleTireFriction.h
        include/vehicle/PxVehicleUpdate.h
        include/vehicle/PxVehicleUtil.h
        include/vehicle/PxVehicleUtilControl.h
        include/vehicle/PxVehicleUtilSetup.h
        include/vehicle/PxVehicleUtilTelemetry.h
        include/vehicle/PxVehicleWheels.h
        pxshared/include/empty.h
        pxshared/include/foundation/Px.h
        pxshared/include/foundation/PxAllocatorCallback.h
        pxshared/include/foundation/PxBitAndData.h
        pxshared/include/foundation/PxBounds3.h
        pxshared/include/foundation/PxErrorCallback.h
        pxshared/include/foundation/PxErrors.h
        pxshared/include/foundation/PxFlags.h
        pxshared/include/foundation/PxIO.h
        pxshared/include/foundation/PxIntrinsics.h
        pxshared/include/foundation/PxMat33.h
        pxshared/include/foundation/PxMat44.h
        pxshared/include/foundation/PxMath.h
        pxshared/include/foundation/PxMemory.h
        pxshared/include/foundation/PxPlane.h
        pxshared/include/foundation/PxPreprocessor.h
        pxshared/include/foundation/PxProfiler.h
        pxshared/include/foundation/PxQuat.h
        pxshared/include/foundation/PxSharedAssert.h
        pxshared/include/foundation/PxSimpleTypes.h
        pxshared/include/foundation/PxStrideIterator.h
        pxshared/include/foundation/PxTransform.h
        pxshared/include/foundation/PxUnionCast.h
        pxshared/include/foundation/PxVec2.h
        pxshared/include/foundation/PxVec3.h
        pxshared/include/foundation/PxVec4.h
        source/common/include/empty.h
        source/common/src/CmBitMap.h
        source/common/src/CmBlockArray.h
        source/common/src/CmCollection.cpp
        source/common/src/CmCollection.h
        source/common/src/CmConeLimitHelper.h
        source/common/src/CmFlushPool.h
        source/common/src/CmIDPool.h
        source/common/src/CmIO.h
        source/common/src/CmMatrix34.h
        source/common/src/CmPhysXCommon.h
        source/common/src/CmPool.h
        source/common/src/CmPreallocatingPool.h
        source/common/src/CmPriorityQueue.h
        source/common/src/CmPtrTable.cpp
        source/common/src/CmPtrTable.h
        source/common/src/CmQueue.h
        source/common/src/CmRadixSort.cpp
        source/common/src/CmRadixSort.h
        source/common/src/CmRadixSortBuffered.cpp
        source/common/src/CmRadixSortBuffered.h
        source/common/src/CmRefCountable.h
        source/common/src/CmRenderBuffer.h
        source/common/src/CmRenderOutput.cpp
        source/common/src/CmRenderOutput.h
        source/common/src/CmScaling.h
        source/common/src/CmSpatialVector.h
        source/common/src/CmTask.h
        source/common/src/CmTaskPool.h
        source/common/src/CmTmpMem.h
        source/common/src/CmTransformUtils.h
        source/common/src/CmUtils.h
        source/common/src/CmVisualization.cpp
        source/common/src/CmVisualization.h
        source/fastxml/include/PsFastXml.h
        source/fastxml/src/PsFastXml.cpp
        source/filebuf/include/PsAsciiConversion.h
        source/filebuf/include/PsFileBuffer.h
        source/filebuf/include/PsIOStream.h
        source/filebuf/include/PsMemoryBuffer.h
        source/foundation/include/Ps.h
        source/foundation/include/PsAlignedMalloc.h
        source/foundation/include/PsAlloca.h
        source/foundation/include/PsAllocator.h
        source/foundation/include/PsAoS.h
        source/foundation/include/PsArray.h
        source/foundation/include/PsAtomic.h
        source/foundation/include/PsBasicTemplates.h
        source/foundation/include/PsBitUtils.h
        source/foundation/include/PsBroadcast.h
        source/foundation/include/PsCpu.h
        source/foundation/include/PsFPU.h
        source/foundation/include/PsFoundation.h
        source/foundation/include/PsHash.h
        source/foundation/include/PsHashInternals.h
        source/foundation/include/PsHashMap.h
        source/foundation/include/PsHashSet.h
        source/foundation/include/PsInlineAllocator.h
        source/foundation/include/PsInlineAoS.h
        source/foundation/include/PsInlineArray.h
        source/foundation/include/PsIntrinsics.h
        source/foundation/include/PsMathUtils.h
        source/foundation/include/PsMutex.h
        source/foundation/include/PsPool.h
        source/foundation/include/PsSList.h
        source/foundation/include/PsSocket.h
        source/foundation/include/PsSort.h
        source/foundation/include/PsSortInternals.h
        source/foundation/include/PsString.h
        source/foundation/include/PsSync.h
        source/foundation/include/PsTempAllocator.h
        source/foundation/include/PsThread.h
        source/foundation/include/PsTime.h
        source/foundation/include/PsUserAllocated.h
        source/foundation/include/PsUtilities.h
        source/foundation/include/PsVecMath.h
        source/foundation/include/PsVecMathAoSScalar.h
        source/foundation/include/PsVecMathAoSScalarInline.h
        source/foundation/include/PsVecMathSSE.h
        source/foundation/include/PsVecMathUtilities.h
        source/foundation/include/PsVecQuat.h
        source/foundation/include/PsVecTransform.h
        source/foundation/src/PsAllocator.cpp
        source/foundation/src/PsAssert.cpp
        source/foundation/src/PsFoundation.cpp
        source/foundation/src/PsMathUtils.cpp
