## qt6-quick3dphysics 6.4.2~rc1

=== debian/changelog ===
qt6-quick3dphysics (6.4.2~rc1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Add myself to Uploader, only for backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 26 Jan 2023 15:58:28 -0300

qt6-quick3dphysics (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:58:43 +0100

qt6-quick3dphysics (6.4.2~rc1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.
  * Bump Standards-Version to 4.6.2 (no changes needed).
  * Fix dependencies for qt6-quick3dphysics-dev.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:27:15 +0100

qt6-quick3dphysics (6.4.1-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Adjust build-dependencies.

 -- Patrick Franz <deltaone@debian.org>  Thu, 15 Dec 2022 00:11:41 +0100

qt6-quick3dphysics (6.4.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Limit build to certain architectures as qtquick3dphysics does not
    build on all architectures.

 -- Patrick Franz <deltaone@debian.org>  Sun, 27 Nov 2022 02:10:52 +0100

qt6-quick3dphysics (6.4.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.
  * New binary package qt6-quick3dphysics-dev-tools.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Nov 2022 02:21:41 +0100

qt6-quick3dphysics (6.4.0-2) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Fri, 21 Oct 2022 20:36:14 +0200

qt6-quick3dphysics (6.4.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1021683)

 -- Patrick Franz <deltaone@debian.org>  Sun, 16 Oct 2022 03:19:57 +0200
