=== debian/control ===
Source: qt6-quick3dphysics
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qml6-module-quick3d (>= 6.4.2~),
               qml6-module-quick3d-assetutils (>= 6.4.2~),
               qml6-module-quick3d-effects (>= 6.4.2~),
               qml6-module-quick3d-helpers (>= 6.4.2~),
               qml6-module-quick3d-particleeffects (>= 6.4.2~),
               qml6-module-quick3d-particles3d (>= 6.4.2~),
               qt6-base-dev (>= 6.4.2+dfsg~),
               qt6-base-private-dev (>= 6.4.2+dfsg~),
               qt6-declarative-dev (>= 6.4.2+dfsg~),
               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
               qt6-qmltooling-quick3dprofiler-plugin (>= 6.4.2~),
               qt6-quick3d-dev (>= 6.4.2~),
               qt6-shadertools-dev (>= 6.4.2~),
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3dphysics
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3dphysics.git
Rules-Requires-Root: no

Package: libqt6quick3dphysics6
Architecture: amd64 arm64 armel armhf mips64el
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Quick 3D Physics library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D Physics library.

Package: libqt6quick3dphysicshelpers6
Architecture: amd64 arm64 armel armhf mips64el
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Quick 3D Physics Helpers library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D Physics Helpers library.

Package: qml6-module-qtquick3d-physics
Architecture: amd64 arm64 armel armhf mips64el
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Quick 3D Physics QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the QML module for Qt 6 Quick 3D Physics.

Package: qt6-quick3dphysics-dev
Section: libdevel
Architecture: amd64 arm64 armel armhf mips64el
Multi-Arch: same
Depends: ${misc:Depends}
Description: Qt 6 Quick 3D Physics - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt Quick 3D Physics library.

Package: qt6-quick3dphysics-dev-tools
Architecture: amd64 arm64 armel armhf mips64el
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Quick 3D Physics development programs
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development programs used for building Qt 6
 Quick 3D Physics applications.
