## qt6-quick3dphysics 6.4.2

=== debian/changelog ===
qt6-quick3dphysics (6.4.2-6build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:48:17 +1100

qt6-quick3dphysics (6.4.2-6build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 02:00:43 +0000

qt6-quick3dphysics (6.4.2-6) unstable; urgency=medium

  * Team upload to unstable.
  * Fix architecture list for examples packages, I did not realize this source
    package is limited to a certain set of them.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Aug 2023 18:26:12 -0300

qt6-quick3dphysics (6.4.2-5) unstable; urgency=medium

  * Team upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Aug 2023 14:19:42 -0300

qt6-quick3dphysics (6.4.2-4) experimental; urgency=medium

  * Team upload.
  * Add examples package (Closes: #1042311).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 29 Jul 2023 12:28:21 -0300

qt6-quick3dphysics (6.4.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Pass QT_HOST_PATH to cmake in cross-builds, thx to Helmut Grohne.

 -- Patrick Franz <deltaone@debian.org>  Fri, 23 Jun 2023 00:55:40 +0200

qt6-quick3dphysics (6.4.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Add libqt6quick3dphysics6 and libqt6quick3dphysicshelpers6 as
    dependencies to qt6-quick3dphysics-dev (Closes: #1035459).

 -- Patrick Franz <deltaone@debian.org>  Sat, 06 May 2023 14:24:43 +0200

qt6-quick3dphysics (6.4.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.
  * Enable link time optimization.

 -- Patrick Franz <deltaone@debian.org>  Sat, 28 Jan 2023 18:19:25 +0100
