=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: qt6-quick3dphysics
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                ninja-build,
@@ -31,7 +31,7 @@
 Package: libqt6quick3dphysics6
 Architecture: amd64 arm64 armel armhf mips64el
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Quick 3D Physics library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -41,7 +41,7 @@
 Package: libqt6quick3dphysicshelpers6
 Architecture: amd64 arm64 armel armhf mips64el
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Quick 3D Physics Helpers library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -51,7 +51,7 @@
 Package: qml6-module-qtquick3d-physics
 Architecture: amd64 arm64 armel armhf mips64el
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Quick 3D Physics QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -62,7 +62,9 @@
 Section: libdevel
 Architecture: amd64 arm64 armel armhf mips64el
 Multi-Arch: same
-Depends: ${misc:Depends}
+Depends: libqt6quick3dphysics6 (= ${binary:Version}),
+         libqt6quick3dphysicshelpers6 (= ${binary:Version}),
+         ${misc:Depends},
 Description: Qt 6 Quick 3D Physics - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -74,10 +76,21 @@
 Architecture: amd64 arm64 armel armhf mips64el
 Multi-Arch: foreign
 Section: devel
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Quick 3D Physics development programs
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the development programs used for building Qt 6
  Quick 3D Physics applications.
+
+Package: qt6-quick3dphysics-examples
+Architecture: amd64 arm64 armel armhf mips64el
+Multi-Arch: same
+Section: misc
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 Quick 3D physics examples
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the examples for the Qt Quick 3D physics submodule.
