## qt6-quick3dphysics 6.6.1

=== debian/changelog ===
qt6-quick3dphysics (6.6.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 Jan 2024 20:19:48 +0100

qt6-quick3dphysics (6.6.1-1) experimental; urgency=medium

  [ Simon Quigley ]
  * New upstream release.
    - Bump build dependencies to 6.6.1.
    - Update the copyright file.
  * Add my name to Uploaders.

  [ Patrick Franz ]
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Remove binary package libqt6quick3dphysicshelpers6.

 -- Patrick Franz <deltaone@debian.org>  Wed, 20 Dec 2023 20:19:07 +0100
