## qt6-quick3dphysics 6.6.2

=== debian/changelog ===
qt6-quick3dphysics (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:32:56 +0200

qt6-quick3dphysics (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 17 Feb 2024 15:26:55 +0100
