=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.1+dfsg~),
-               qt6-base-private-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.1+dfsg~),
-               qt6-quick3d-dev (>= 6.6.1~),
-               qt6-quick3d-private-dev (>= 6.6.1~),
-               qt6-shadertools-dev (>= 6.6.1~),
+               qt6-base-dev (>= 6.6.2+dfsg~),
+               qt6-base-private-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
+               qt6-quick3d-dev (>= 6.6.2~),
+               qt6-quick3d-private-dev (>= 6.6.2~),
+               qt6-shadertools-dev (>= 6.6.2~),
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3dphysics
