## qt6-quick3dphysics 6.7.2

=== debian/changelog ===
qt6-quick3dphysics (6.7.2-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 24 Nov 2024 00:40:52 +0100

qt6-quick3dphysics (6.7.2-4) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.

  [ Patrick Franz ]
  * Fix dependencies for the private symbols.
  * Install cmake-files for QmlPlugins.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Nov 2024 22:13:25 +0100

qt6-quick3dphysics (6.7.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 01:56:53 +0200

qt6-quick3dphysics (6.7.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix handling of private symbols.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Sep 2024 15:14:00 +0200

qt6-quick3dphysics (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 02 Sep 2024 19:11:35 +0200
