=== debian/control ===
--- 
+++ 
@@ -6,17 +6,19 @@
            Simon Quigley <tsimonq2@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-qmldeps,
+               dh-sequence-pkgkde-symbolshelper,
                ninja-build,
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
-               qt6-base-dev (>= 6.6.2+dfsg~),
-               qt6-base-private-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
-               qt6-quick3d-dev (>= 6.6.2~),
-               qt6-quick3d-private-dev (>= 6.6.2~),
-               qt6-shadertools-dev (>= 6.6.2~),
-Standards-Version: 4.6.2
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-base-private-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
+               qt6-quick3d-dev (>= 6.7.2~),
+               qt6-quick3d-private-dev (>= 6.7.2~),
+               qt6-shadertools-dev (>= 6.7.2~),
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3dphysics
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3dphysics.git
@@ -35,7 +37,7 @@
 Package: qml6-module-qtquick3d-physics
 Architecture: amd64 arm64 armel armhf mips64el
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: libqt6quick3dphysicshelpers6,
 Replaces: libqt6quick3dphysicshelpers6,
 Description: Qt 6 Quick 3D Physics QML module
@@ -48,7 +50,9 @@
 Section: libdevel
 Architecture: amd64 arm64 armel armhf mips64el
 Multi-Arch: same
-Depends: libqt6quick3dphysics6 (= ${binary:Version}), ${misc:Depends},
+Depends: libqt6quick3dphysics6 (= ${binary:Version}),
+         qml6-module-qtquick3d-physics (= ${binary:Version}),
+         ${misc:Depends},
 Description: Qt 6 Quick 3D Physics - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
