## qt6-quick3dphysics 6.8.0

=== debian/changelog ===
qt6-quick3dphysics (6.8.0-0deepin1) unstable; urgency=medium

  * New upstream release (6.8.0).

 -- lichenggang <lichenggang@deepin.org>  Thu, 07 Nov 2024 15:45:58 +0800

qt6-quick3dphysics (6.6.1-2deepin0) experimental; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 20 Sep 2024 12:17:04 +0800
