=== debian/control ===
--- 
+++ 
@@ -1,22 +1,25 @@
 Source: qt6-quick3dphysics
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
            Simon Quigley <tsimonq2@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                ninja-build,
-               pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
-               qt6-quick3d-dev (>= 6.8.0~),
-               qt6-quick3d-private-dev (>= 6.8.0~),
-               qt6-shadertools-dev (>= 6.8.0~),
-Standards-Version: 4.6.2
+               pkgconf,
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-base-private-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
+               qt6-quick3d-dev (>= 6.8.1~),
+               qt6-quick3d-private-dev (>= 6.8.1~),
+               qt6-shadertools-dev (>= 6.8.1~),
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3dphysics
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3dphysics.git
@@ -35,7 +38,7 @@
 Package: qml6-module-qtquick3d-physics
 Architecture: amd64 arm64 armel armhf mips64el
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: libqt6quick3dphysicshelpers6,
 Replaces: libqt6quick3dphysicshelpers6,
 Description: Qt 6 Quick 3D Physics QML module
@@ -48,7 +51,9 @@
 Section: libdevel
 Architecture: amd64 arm64 armel armhf mips64el
 Multi-Arch: same
-Depends: libqt6quick3dphysics6 (= ${binary:Version}), ${misc:Depends},
+Depends: libqt6quick3dphysics6 (= ${binary:Version}),
+         qml6-module-qtquick3d-physics (= ${binary:Version}),
+         ${misc:Depends},
 Description: Qt 6 Quick 3D Physics - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
